Summary: Utilities to manage Adaptec I2O compliant RAID controllers
Name: raidutils
Version: 0.0.6
Release: 4%{?dist}
License: BSD
Group: Applications/System
URL: http://i2o.shadowconnect.com/
Source: http://i2o.shadowconnect.com/raidutils/%{name}-%{version}.tar.bz2
# based on http://ftp.de.debian.org/debian/pool/main/r/raidutils/raidutils_0.0.6-8.diff.gz
Patch0: %{name}-rpm.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)

%description
The raidutils program allow the user to manage the Adaptec I2O compliant RAID
controllers. It can, for example, create/delete an RAID array, add/remove a hot
spare drive to/from a RAID array, activate/silence the alarm or get information
about the status of the RAID array and disks.

%prep
%setup -q
%patch0 -p1 -b .r

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/libraidutil.{la,so}

%{__mkdir} -p %{buildroot}%{_sysconfdir}/sysconfig/modules

cat << __EOF__ >> %{buildroot}%{_sysconfdir}/sysconfig/modules/raidutils.modules
#!/bin/sh
modprobe i2o_config >/dev/null 2>&1
__EOF__
chmod 755 %{buildroot}%{_sysconfdir}/sysconfig/modules/raidutils.modules

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
modprobe i2o_config >/dev/null 2>&1 || :

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_sysconfdir}/sysconfig/modules/raidutils.modules
%{_bindir}/raidutil
%{_bindir}/raideng
%{_libdir}/libraidutil.so.*

%changelog
* Sat Dec 04 2010 Dominik Mierzejewski <rpm@greysector.net> 0.0.6-4
- fix FTBFS (bug #631457)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Dec 31 2008 Dominik Mierzejewski <rpm@greysector.net> 0.0.6-2
- added i2o_config module autoloading
- drop redundant BR: gcc-c++

* Fri Sep 12 2008 Dominik Mierzejewski <rpm@greysector.net> 0.0.6-1
- adapted for Fedora/EPEL
- disabled building static library
- extracted relevant bits from Debian patch
- fixed build with recent glibc

* Thu Jun 08 2006 Stephan Lauffer <lauffer@ph-freiburg.de>
- patch raidutils-gcc++-4.1-patch.diff fixes compiler errors with gcc-c++-4.1.0
  This patch is taken from the fix in http://bugs.debian.org/356366
* Mon Jan 24 2005 Markus Lidel <Markus.Lidel@shadowconnect.com>
- New version for FC3.
* Wed May 18 2004 Markus Lidel <Markus.Lidel@shadowconnect.com>
- Compiled with new kernel interface.
* Wed May 05 2004 Markus Lidel <Markus.Lidel@shadowconnect.com>
- Changed recognition of I2O pass-thru option availability.
- Now raidutils use the right headers if using gcc version 3.3.
* Mon May 03 2004 Markus Lidel <Markus.Lidel@shadowconnect.com>
- Cleaned up RPM regarding the guideline of Anvil, warren and mschwendt. Many
  thanks to them.
* Sun May 02 2004 Markus Lidel <Markus.Lidel@shadowconnect.com>
- first version with SPEC file to build a rpm.
